package com.zjrs.zwnw.dbgl.dto;

import org.hibernate.validator.constraints.Length;

import jakarta.validation.constraints.NotBlank;


public class DbrwglXmxxSaveDTO{
        @NotBlank(message = "督办任务流水号不能为空")
        private String rsdbgldbrwlsh;       //督办任务表流水号
        private String rsdbgldbxmlsh;   // 督办项目表流水号
        private String xmbh;   // 项目编号
        @NotBlank(message = "项目名称不能为空")
        @Length(max = 2000,message = "项目名称最多只能输入2000个字符")
        private String xmmc;   // 项目名称
        @NotBlank(message = "操作类型不能为空，new新增，update修改")
        private String oper;   // 操作类型，new新增，update修改

        public String getOper() {
                return oper;
        }

        public void setOper(String oper) {
                this.oper = oper;
        }

        public String getRsdbgldbrwlsh() {
                return rsdbgldbrwlsh;
        }

        public void setRsdbgldbrwlsh(String rsdbgldbrwlsh) {
                this.rsdbgldbrwlsh = rsdbgldbrwlsh;
        }

        public String getRsdbgldbxmlsh() {
                return rsdbgldbxmlsh;
        }

        public void setRsdbgldbxmlsh(String rsdbgldbxmlsh) {
                this.rsdbgldbxmlsh = rsdbgldbxmlsh;
        }

        public String getXmbh() {
                return xmbh;
        }

        public void setXmbh(String xmbh) {
                this.xmbh = xmbh;
        }

        public String getXmmc() {
                return xmmc;
        }

        public void setXmmc(String xmmc) {
                this.xmmc = xmmc;
        }
}
